ACN::PDU::pdu_stream_object Struct Referenceabstract

The pdu_stream_object struct. More...

`#include <pdu-stream.h>`

Inheritance diagram for ACN::PDU::pdu_stream_object:
[legend]

## Public Member Functions

virtual size_t | streamSize () const =0
| streamSize More...
virtual void | iStream (Stream)=0
| fill structure data from input stream
virtual void | oStream (Stream) const =0
| write structure data to output stream

## Detailed Description

The pdu_stream_object struct.

## Member Function Documentation

## streamSize()

virtual size_t ACN::PDU::pdu_stream_object::streamSize | ( |  | ) | const

pure virtual

streamSize

Returns
  length (count of octets) on the wire

Implemented in ACN::SDT::UDP::ipAddress, ACN::SDT::disconnecting_data, ACN::SDT::connect_data, ACN::SDT::channel_params_data, ACN::SDT::ack_data, ACN::SDT::sessions_data, ACN::SDT::channel_info_block, ACN::SDT::get_sessions_data, ACN::SDT::wrapper_data, ACN::SDT::nak_data, ACN::SDT::join_refuse_data, ACN::SDT::join_accept_data, ACN::SDT::join_data, ACN::SDT::params, ACN::SDT::CLIENT::client_header, SACN::EXTENDED::DISCOVERY::discovery_list_data, SACN::EXTENDED::DISCOVERY::discovery_list_header, SACN::EXTENDED::discovery_header, SACN::EXTENDED::sync_header, SACN::DATA::data_header, RDMnet::RPT::rpt_data, RDMnet::RPT::rpt_header, RDMnet::RPT::COMMAND::command_data, RDMnet::RPT::STATUS::status_string_data, ACN::RLP::UDP::transport, ACN::RLP::TCP::transport, ACN::RLP::rlp_header, RDMnet::BrokerProtocol::disconnect_data, RDMnet::BrokerProtocol::fetch_dynamcic_assignment_data, RDMnet::BrokerProtocol::dynamic_uid_assignment_data, RDMnet::BrokerProtocol::dynamic_uid_mapping, RDMnet::BrokerProtocol::request_dynamic_uid_data, RDMnet::BrokerProtocol::dynamic_uid_request, RDMnet::BrokerProtocol::client_redirect_ipv6_data, RDMnet::BrokerProtocol::client_redirect_ipv4_data, RDMnet::BrokerProtocol::client_entry_update_data, RDMnet::BrokerProtocol::connect_reply_data, RDMnet::BrokerProtocol::client_connect_data, RDMnet::BrokerProtocol::ClientEntry::entry_ept_data, RDMnet::BrokerProtocol::ClientEntry::entry_rpt_data, RDMnet::BrokerProtocol::ClientEntry::entry_header, OTP::Transform::transform_data, OTP::Transform::Point::point_data, OTP::Transform::Point::Module::module_data, OTP::Transform::Point::Module::reference_frame_module, OTP::Transform::Point::Module::scale_module, OTP::Transform::Point::Module::rotation_va_module, OTP::Transform::Point::Module::rotation_module, OTP::Transform::Point::Module::position_va_module, OTP::Transform::Point::Module::position_module, OTP::Transform::Point::address, OTP::PDU::pdu, OTP::PDU::Block< T >, OTP::PDU::Block< OTP::Transform::Point::Module::pdu >, OTP::PDU::Block< OTP::Transform::Point::pdu >, OTP::Layer::pdu, OTP::Layer::base_footer, OTP::Layer::base_data, OTP::Advertisement::advertisement_data, OTP::Advertisement::System::system_data, OTP::Advertisement::Name::name_data, OTP::Advertisement::Name::point_description, OTP::Advertisement::Module::module_data, OTP::Advertisement::Module::module_identifier, RDMnet::LLRP::ProbeReply::reply_data, RDMnet::LLRP::ProbeRequest::request_data, RDMnet::LLRP::llrp_data, RDMnet::EPT::DATA::data_data, RDMnet::EPT::ept_header, ACN::DMP::address_list, ACN::DMP::address_pair_list, ACN::DMP::range, ACN::DMP::address_type, ACN::PDU::Pdu, ACN::PDU::Block< T >, ACN::PDU::Block< ACN::RLP::Pdu >, and ACN::PDU::Block< ACN::SDT::CLIENT::Pdu >.

Here is the caller graph for this function:

The documentation for this struct was generated from the following file:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/acn/pdu-stream.h